Package voltage.core

# Class VoltageSoundView

java.lang.Object
voltage.core.VoltageComponent
voltage.core.VoltageSound
voltage.core.VoltageSoundView

public class VoltageSoundView extends VoltageSound
A class to display audio waveforms

- ## Field Summary

  ### Fields inherited from class voltage.core.VoltageComponent

  `componentName, displayName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoltageSoundView(String name, String displayName, VoltageModule module, boolean bClicksReposition, int milsPerPeak)`
  Constructor
  `VoltageSoundView(String name, VoltageModule module, boolean bClicksReposition, int milsPerPeak)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `CreateSoundViewObject(long moduleID, boolean bClicksReposition, int milsPerPeak)`
  `Color`
  `GetBackColor()`
  Gets the background color.
  `Color`
  `GetPlayedColor()`
  Gets the played color.
  `Color`
  `GetPlayIndicatorColor()`
  Gets the playback indicator color.
  `Color`
  `GetUnplayedColor()`
  Gets the unplayed color.
  `void`
  `SetBackColor(Color zeCol)`
  Sets the background color
  `void`
  `SetColors(Color playedCol, Color unplayedColor, Color backgroundColor, Color playIndicatorColor)`
  Set the colors for this view.
  `void`
  `SetPlayedColor(Color zeCol)`
  Sets the played color for the waveform.
  `void`
  `SetPlayIndicatorColor(Color zeCol)`
  Sets the playback indicator color
  `void`
  `SetUnplayedColor(Color zeCol)`
  Sets the unplayed color for the waveform.

  ### Methods inherited from class voltage.core.VoltageSound

  `CurrentOffset, GetMetaDataValue, IsPlaying, IsStereo, LoadAudioData, LoadFromFile, LoadFromMemory, LoadFromResource, Looping, NumSamples, Play, Play, ReadSamples, SampleRate, SeekTo, SeekToStart, SetLooping, SetResampling, Stop`

  ### Methods inherited from class voltage.core.VoltageComponent

  `AddChildComponent, GetComponentID, GetDisplayName, GetHeight, GetMaxValue, GetMinValue, GetRect, GetSkin, GetTooltipText, GetTransparency, GetUserProperty, GetValue, GetWidth, GetX, GetY, IsEnabled, IsVisible, RemoveChildComponent, SetCanBeAutomated, SetEnabled, SetPosition, SetRect, SetRect, SetSize, SetSkin, SetTransparency, SetUnits, SetUserProperty, SetValue, SetValue, SetValueNoNotification, SetVisible, SetWantsMouseNotifications, SetZOrder, SkewNormalizedValue, UpdateGUIValue, WantsMouseNotifications`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoltageSoundView

    public VoltageSoundView(String name, String displayName, VoltageModule module, boolean bClicksReposition, int milsPerPeak)
    Constructor
    Parameters:
      `name` - internal name of the control
      `displayName` - display name of the control.
      `module` - the module this belongs to.
      `bClicksReposition` - allows clicking on the waveform to reposition playback.
      `milsPerPeak` - the number of milliseconds to display per peak.

  - ### VoltageSoundView

    public VoltageSoundView(String name, VoltageModule module, boolean bClicksReposition, int milsPerPeak)
    Constructor
    Parameters:
      `name` - internal name of the control
      `module` - the module this belongs to.
      `bClicksReposition` - allows clicking on the waveform to reposition playback.
      `milsPerPeak` - the number of milliseconds to display per peak.

- ## Method Details

  - ### SetColors

    public void SetColors(Color playedCol, Color unplayedColor, Color backgroundColor, Color playIndicatorColor)
    Set the colors for this view.
    Parameters:
      `playedCol` - the waveform played color.
      `unplayedColor` - the waveform's unplayed color.
      `backgroundColor` - the color of the background for this view.
      `playIndicatorColor` - the color of the playback indicator.

  - ### SetPlayedColor

    public void SetPlayedColor(Color zeCol)
    Sets the played color for the waveform.
    Parameters:
      `zeCol` - the played color of the waveform.

  - ### GetPlayedColor

    public Color GetPlayedColor()
    Gets the played color.
    Returns:
      the color.

  - ### SetUnplayedColor

    public void SetUnplayedColor(Color zeCol)
    Sets the unplayed color for the waveform.
    Parameters:
      `zeCol` - the unplayed color of the waveform.

  - ### GetUnplayedColor

    public Color GetUnplayedColor()
    Gets the unplayed color.
    Returns:
      the color.

  - ### SetBackColor

    public void SetBackColor(Color zeCol)
    Sets the background color
    Parameters:
      `zeCol` - the background color

  - ### GetBackColor

    public Color GetBackColor()
    Gets the background color.
    Returns:
      the color.

  - ### SetPlayIndicatorColor

    public void SetPlayIndicatorColor(Color zeCol)
    Sets the playback indicator color
    Parameters:
      `zeCol` - the playback indicator color

  - ### GetPlayIndicatorColor

    public Color GetPlayIndicatorColor()
    Gets the playback indicator color.
    Returns:
      the color.

  - ### CreateSoundViewObject

    public long CreateSoundViewObject(long moduleID, boolean bClicksReposition, int milsPerPeak)